ONVIF::Device::Elements::SetDynamicDNS(3)

NAME
ONVIF::Device::Elements::SetDynamicDNS

DESCRIPTION
Perl data type class for the XML Schema defined element SetDynamicDNS from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Type

     $element->set_Type($data);
     $element->get_Type();

•   Name

     $element->set_Name($data);
     $element->get_Name();

•   TTL

     $element->set_TTL($data);
     $element->get_TTL();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetDynamicDNS->new($data);

Constructor. The following data structure may be passed to new():

 {
   Type => $some_value, # DynamicDNSType
   Name => $some_value, # DNSName
   TTL =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL